% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class_update.R
\name{class_update}
\alias{class_update}
\title{Classifier function for use in combination with the elasticizer function as 'update' parameter (without brackets), see elasticizer documentation for more information}
\usage{
class_update(out, localhost = T, model_final, dfm_words, varname,
  es_super = .rs.askForPassword("ElasticSearch WRITE"))
}
\arguments{
\item{out}{Does not need to be defined explicitly! (is already parsed in the elasticizer function)}

\item{localhost}{Defaults to false. When true, connect to a local Elasticsearch instance on the default port (9200)}

\item{model_final}{The classification model (e.g. output from textstat_nb(), svm() or others)}

\item{dfm_words}{A dfm containing all the words and only the words used to generate the model (is used for subsetting)}

\item{varname}{String containing the variable name to use for the classification result, usually has the format computerCodes.varname}

\item{es_super}{Password for write access to ElasticSearch}
}
\value{
As this is a nested function used within elasticizer, there is no return output
}
\description{
Classifier function for use in combination with the elasticizer function as 'update' parameter (without brackets), see elasticizer documentation for more information
}
\examples{
class_update(out, localhost = T, model_final, dfm_words, varname, es_super = .rs.askForPassword('ElasticSearch WRITE'))
}
